Package: org.codehaus.groovy.ast.stmt

## [Java] Class AssertStatement

- org.codehaus.groovy.ast.stmt.AssertStatement

-     public class AssertStatement
      extends Statement

  Represents an assert statement. E.g.: `assert i != 0 : "should never be zero";`

- - ### Constructor Summary

    Constructors
    Constructor and description
    `AssertStatement(BooleanExpression booleanExpression)`
    `AssertStatement(BooleanExpression booleanExpression, Expression messageExpression)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public BooleanExpression` | `getBooleanExpression()`
    `` | `public Expression` | `getMessageExpression()`
    `` | `public void` | `setBooleanExpression(BooleanExpression booleanExpression)`
    `` | `public void` | `setMessageExpression(Expression messageExpression)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Statement` | `addStatementLabel, copyStatementLabels, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public AssertStatement(BooleanExpression booleanExpression)

    - #### public AssertStatement(BooleanExpression booleanExpression, Expression messageExpression)

  - ### Method Detail

    - #### public BooleanExpression getBooleanExpression()

    - #### public Expression getMessageExpression()

    - #### public void setBooleanExpression(BooleanExpression booleanExpression)

    - #### public void setMessageExpression(Expression messageExpression)

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)